Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000194Double CommanderGraphical user interfacepublic2011-09-20 10:532017-04-30 12:38
Reporter 
Assigned ToAlexx2000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
ProjectionnoneETAnone 
PlatformOSOS Version
Product VersionProduct Build 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000194: Extend filenames without extension to the max
DescriptionIt's annoying that DC trims the filename just before the extension column - even if there is no extension.
IMO it would be better if the extensionless filename would be trimmed just after the extension column.
Additional Informationhttp://sourceforge.net/support/tracker.php?aid=3411786 [^]
TagsNo tags attached.
Fixed in Revision7498
Operating system
Widgetset
Architecture
Attached Filesdiff file icon extend-cell-width.diff [^] (12,209 bytes) 2017-03-03 07:34 [Show Content]
diff file icon extend-cell-width-fix.diff [^] (12,168 bytes) 2017-03-05 09:03 [Show Content]

- Relationships
has duplicate 0000195closedAlexx2000 Extend filenames without extension to the max ++ 

-  Notes
(0002113)
accorp (reporter)
2017-03-03 07:39

Please review attached patch. It adds new option "Extend cell width if text is not fitting into column". This is working in conjunction with "Cut text to column width".

If cutting is disabled, then two intersected cells are drawing overlapped.
If enabled - cells are extending into free space, ending with ellipsis if not fit.
For blank cell, right neighbor has advantage to extend to it over left.
(0002117)
accorp (reporter)
2017-03-05 09:11

foptionscolumnsview.pas has mixed line ending, lazarus resaved it with cr/lf changes, svn generates bad diff GNU patch does not want to import (malformed patch at line 342).

Added fixed patch.

- Issue History
Date Modified Username Field Change
2011-10-23 08:04 Alexx2000 New Issue
2011-10-23 08:22 Alexx2000 Relationship added has duplicate 0000195
2017-03-03 07:34 accorp File Added: extend-cell-width.diff
2017-03-03 07:39 accorp Note Added: 0002113
2017-03-05 09:03 accorp File Added: extend-cell-width-fix.diff
2017-03-05 09:11 accorp Note Added: 0002117
2017-03-05 11:02 Alexx2000 Status new => acknowledged
2017-03-05 11:02 Alexx2000 Target Version => 0.8.0
2017-03-05 11:02 Alexx2000 Description Updated View Revisions
2017-04-16 11:30 Alexx2000 Fixed in Revision => 7498
2017-04-16 11:30 Alexx2000 Status acknowledged => resolved
2017-04-16 11:30 Alexx2000 Fixed in Version => 0.8.0
2017-04-16 11:30 Alexx2000 Resolution open => fixed
2017-04-16 11:30 Alexx2000 Assigned To => Alexx2000
2017-04-30 12:38 accorp Status resolved => closed
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker